RMD160_CTX Struct Reference

`#include <rmd160.h>`

## Data Fields

uint32_t | state [5]
uint32_t | length [2]
uint8_t | bbuffer [64]
uint32_t | buflen

## Detailed Description

Definition at line 31 of file rmd160.h.

## Field Documentation

uint8_t RMD160_CTX::bbuffer[64]

Definition at line 34 of file rmd160.h.

Referenced by RMD160_Finish(), and RMD160_Update().

uint32_t RMD160_CTX::buflen

Definition at line 35 of file rmd160.h.

Referenced by RMD160_Finish(), RMD160_Init(), and RMD160_Update().

uint32_t RMD160_CTX::length[2]

Definition at line 33 of file rmd160.h.

Referenced by RMD160_Finish(), RMD160_Init(), and RMD160_Update().

uint32_t RMD160_CTX::state[5]

Definition at line 32 of file rmd160.h.

Referenced by RMD160_Finish(), RMD160_Init(), and RMD160_Update().

The documentation for this struct was generated from the following file:

- ext/digest/rmd160/rmd160.h